Update a Flow - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt Use this file to discover all available pages before exploring further.
Update a Flow
PATCH
/v2.0/flows/{flowId}
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"context": {},
"attachedFlows": [
"<string>"
],
"attachedLexicons": [
"<string>"
],
"img": "<string>",
"localeId": "<string>"
}
'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}"
payload = {
"name": "<string>",
"description": "<string>",
"context": {},
"attachedFlows": ["<string>"],
"attachedLexicons": ["<string>"],
"img": "<string>",
"localeId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
context: {},
attachedFlows: ['<string>'],
attachedLexicons: ['<string>'],
img: '<string>',
localeId: '<string>'
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'context' => [],
'attachedFlows' => ['<string>'],
'attachedLexicons' => ['<string>'],
'img' => '<string>',
'localeId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Error Responses
400: Bad Request
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
401: Unauthorized
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
- X-API-Key
- In: Header
- Required: Yes
- Description: Supply the API Key in the HTTP-Header
Headers
- Accept: Specifies the media type that the client expects in the response. Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv. Default isapplication/json.
Path Parameters
- flowId: The unique identifier for the Flow. Required string length:
24. Pattern:^[a-z0-9]{24}$.
Body Parameters
- name: string
- description: string
- context: object
- attachedFlows: string[] (Required: string length
24, Pattern:^[a-z0-9]{24}$) - attachedLexicons: string[] (Required: string length
24, Pattern:^[a-z0-9]{24}$) - img: string
- localeId: string (Required: string length
24, Pattern:^[a-z0-9]{24}$)
Response
- 204: The Flow was successfully updated.